# Qwind

![CI](https://github.com/arnauqb/Qwind.jl/workflows/CI/badge.svg)
[![codecov](https://codecov.io/gh/arnauqb/Qwind.jl/branch/main/graph/badge.svg?token=KQPtxMDMAm)](https://codecov.io/gh/arnauqb/Qwind.jl)
[![Documentation](https://github.com/arnauqb/Qwind.jl/actions/workflows/docs.yml/badge.svg)](https://arnauqb.github.io/Qwind.jl/)
[![TagBot](https://github.com/arnauqb/Qwind.jl/actions/workflows/tagbot.yml/badge.svg)](https://github.com/arnauqb/Qwind.jl/actions/workflows/tagbot.yml)
[![DOI](https://zenodo.org/badge/271830057.svg)](https://zenodo.org/badge/latestdoi/271830057)

# Qwind: Modelling UV line-driven winds originating from accretion discs

Qwind is a code that aims to simulate the launching and acceleration phase of line-driven winds in the context of AGN accretion discs. Refer to [the paper](https://arxiv.org/abs/2111.02742) for an explanation on the physics of the code.

# Documentation

You can find the code documentation (with installation instructions) [here](https://arnauqb.github.io/Qwind.jl/dev/)

# Citation

If you make use of the code, please cite the [the paper](https://arxiv.org/abs/2111.02742). Here is a bibtex entry:

```
@misc{querabofarull2021qwind3,
      title={Qwind3: UV line-driven accretion disc wind models for AGN feedback}, 
      author={Arnau Quera-Bofarull and Chris Done and Cedric G. Lacey and Mariko Nomura and Ken Ohsuga},
      year={2021},
      eprint={2111.02742},
      archivePrefix={arXiv},
      primaryClass={astro-ph.HE}
}
```

# Contributions

Contributions are very welcome!
